.filter-block {

    &__primary {
        width: 100%;
        display: flex;
        align-items: center;
    }

    &__secondary {
        display: none;
    }

    &__search {
        flex-grow: 1;
    }

    &__settings {
        margin-left: rem(8);
        flex-shrink: 0;

        &--desktop {
            display: none;
        }
    }

    &__text {
        margin-top: rem(10);
        font-weight: 5000;
        font-size: rem(14);
        line-height: rem(20);
    }

    &__group {
        font-size: 0;
        line-height: 0;
        display: flex;
        align-items: center;
        flex-wrap: wrap;

        &:not(:last-child) {
            margin-bottom: rem(20);
        }
    }

    &__label {
        outline: none;
        height: rem(46);
        font-weight: 500;
        font-size: rem(16);
        line-height: rem(24);
        background: $white;
        display: inline-flex;
        align-items: center;
        border-radius: 7px;
        padding: rem(8) rem(18);
        margin: 0 rem(10) rem(10) 0;
        border: 1px solid rgba(0, 0, 0, 0.15);

        i {
            font-size: 0;
            line-height: 0;
            height: rem(20);
            margin-right: rem(4);
            display: inline-block;
            flex-shrink: 0;
        }
    }

    &__item {
        font-weight: 400;
        position: relative;
        display: inline-block;

        input {
            top: 0;
            left: 0;
            width: 1px;
            height: 1px;
            opacity: 0;
            overflow: hidden;
            visibility: hidden;
            position: absolute;
        }

        span {
            color: $dark;
            height: rem(46);
            cursor: pointer;
            font-size: rem(16);
            line-height: rem(24);
            border-radius: 7px;
            background: #F4F5F6;
            white-space: nowrap;
            display: inline-flex;
            align-items: center;
            padding: rem(4) rem(15);
            margin: 0 rem(10) rem(10) 0;
        }

        input:checked + span {
            color: $white;
            background: $blue;
        }
    }


    @include media-breakpoint-up(xl) {

        &__secondary {
            display: block;
            margin-top: rem(20);
        }

        &__text {
            display: none;
        }

        &__settings {
            margin-left: rem(8);
            flex-shrink: 0;

            &--desktop {
                display: block;
            }

            &--mobile {
                display: none;
            }
        }
    }
}

.filter-mobile {
    font-size: 0;
    line-height: 0;

    &__button {
        font-size: 0;
        line-height: 0;
        border: none;
        outline: none;
        width: rem(56);
        height: rem(56);
        stroke: $dark;
        background: #F4F5F6;
        border-radius: 15px;
        display: flex;
        align-items: center;
        justify-content: center;

        i {
            height: rem(24);
            display: inline-block;
            flex-shrink: 0;
        }

        &:active {
            background: #ececec;
        }
    }

    &__layout {
        top: 0;
        left: 0;
        right: 0;
        bottom: 0;
        z-index: 1000;
        position: fixed;
        background: rgba(0, 0, 0, 0.58);
        opacity: 0;
        visibility: hidden;
        transition: .3s;
    }

    &__main {
        left: 0;
        right: 0;
        bottom: 0;
        top: rem(44);
        z-index: 1050;
        background: $white;
        position: fixed;
        padding-top: rem(20);
        border-radius: 15px 15px 0 0;
        transform: translateY(110vh);
        transition: .3s;
    }

    &__footer {
        left: 0;
        right: 0;
        bottom: 0;
        z-index: 100;
        padding: rem(25) 0;
        background: $white;
        position: absolute;
    }

    &__close {
        top: 0;
        right: 0;
        font-size: 0;
        line-height: 0;
        border: none;
        outline: none;
        width: rem(56);
        height: rem(56);
        stroke: #83888F;
        background: transparent;
        position: absolute;
        display: flex;
        align-items: center;
        justify-content: center;

        &:active {
            stroke: $dark;
        }

        i {
            height: rem(24);
            display: inline-block;
            flex-shrink: 0;
        }
    }

    &__content {
        max-height: 100%;
        padding-bottom: rem(100);
        overflow-y: auto;
    }

    &__group {
        margin-bottom: rem(20);
    }

    &__label {
        font-weight: 400;
        font-size: rem(16);
        line-height: 145%;
        color: rgba(0,0,0,0.5);
        margin-bottom: rem(10);
    }

    &__list {
        padding: 0;
        list-style: none;
        margin: 0 rem(-10) 0 0;
        display: flex;
        align-items: center;
        flex-wrap: wrap;

        li {
            margin: 0 rem(10) rem(10) 0;
        }
    }

    &__item {
        font-weight: 400;
        position: relative;
        display: inline-block;

        input {
            top: 0;
            left: 0;
            width: 1px;
            height: 1px;
            opacity: 0;
            overflow: hidden;
            visibility: hidden;
            position: absolute;
        }

        span {
            color: $dark;
            height: rem(35);
            cursor: pointer;
            line-height: 110%;
            font-size: rem(14);
            border-radius: 7px;
            background: #F4F5F6;
            white-space: nowrap;
            display: inline-flex;
            align-items: center;
            padding: rem(4) rem(15);
        }

        input:checked + span {
            color: $white;
            background: $blue;
        }
    }

    &__toggle {
        color: $dark;
        border: none;
        outline: none;
        height: rem(35);
        cursor: pointer;
        line-height: 110%;
        font-size: rem(14);
        border-radius: 7px;
        background: #F4F5F6;
        white-space: nowrap;
        display: inline-flex;
        align-items: center;
        padding: rem(4) rem(8) rem(4) rem(15);
        stroke: $dark;

        i {
            font-size: 0;
            line-height: 0;
            flex-shrink: 0;
            height: rem(18);
            margin-left: rem(4);
        }
    }

    &.-open- {

        .filter-mobile {

            &__layout {
                opacity: 1;
                visibility: visible;
                transition: .3s;
            }

            &__main {
                transform: translateY(0);
                transition: .3s;
            }
        }
    }
}

.filter-dropdown {
    font-size: 0;
    line-height: 0;
    position: relative;
    display: inline-block;

    &.-open- {
        z-index: 200;
    }

    &__button {
        border: none;
        outline: none;
        cursor: pointer;
        height: rem(56);
        font-size: rem(20);
        line-height: rem(28);
        padding: rem(8) rem(20);
        stroke: $dark;
        background: #F4F5F6;
        border-radius: 15px;
        display: flex;
        align-items: center;
        justify-content: center;
        transition: .3s;

        i {
            font-size: 0;
            line-height: 0;
            height: rem(24);
            display: inline-block;
            flex-shrink: 0;
        }

        i + span {
            margin-left: rem(8);
        }

        span + i {
            margin-left: rem(8);
        }

        &:hover {
            color: $blue;
            stroke: $blue;
            transition: .3s;
        }

        &:active {
            color: $dark;
            stroke: $dark;
            transition: .3s;
        }
    }

    &__content {
        padding: rem(16) rem(20);
        background: #F4F5F6;
        border-radius: 12px;
    }

    &__list {
        margin: 0;
        padding: 0;
        list-style: none;

        li {

            &:not(:last-child) {
                margin-bottom: rem(20);
            }
        }
    }

    &__submit {
        padding-top: rem(20);
    }
}
